<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_6e38cb9e043a07cd69a1711a670" . "4c62a" => base64_decode("cGFyZW50X" . "2lk"), "_a5e22fe41a6e42" . "88b56df78f2f278" . "f8f" => base64_decode("cHJldl9wYXJl" . "bnRfaWQ="), "ti" . "tl" . "e" => base64_decode("dGl0b" . "GU="), "_b2f5a100451164396178c16d2a5c68" . "99" => base64_decode("cHJldl90" . "aXRsZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b2f5a100451164396178c16" . "d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["ti" . "tl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a5e22fe41" . "a6e4288b56" . "df78f2f278" . "f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6e38cb9e043a07cd69" . "a1711a6704c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}